Subject: git-pull doesn't update my refs for remotes/origin/master

From: Graeme Geldenhuys <[email-masked]>
Date: Mon, 25 Jul 2011 09:58:54 +0200

Hi,

Any idea why this happens? When I do a 'git pull origin master' while in
the master branch, it fetches all the latest commits, but doesn't update
the 'remotes/origin/master' reference. When I do a 'gitk', the
remotes/origin/master reference is still pointing to the old original
HEAD commit. Only when I do a 'git push origin master', does it update
the remotes/origin/master references?

I'm using git version 1.7.0.4 as is include with Ubuntu 10.04

Here is my .git/config file:

----8<-------------8<-------------8<-------------8<-------------8<----
[core]
	repositoryformatversion = 0
	filemode = true
	bare = false
	logallrefupdates = true
	safecrlf = true
[remote "origin"]
	url = ssh://[email-masked]/gitroot/fpgui/fpgui
	fetch = +refs/heads/*:refs/remotes/origin/*
[branch "master"]
	remote = origin
	merge = refs/heads/master
[gui]
	geometry = 1182x686+1573+97 387 428
	wmstate = normal
[push]
	default = current
[remote "usb"]
	url = /media/flash16gig/git_repos/fpgui.git
	fetch = +refs/heads/*:refs/remotes/usb/*
[branch "v0.4_fixes"]
	remote = origin
	merge = refs/heads/v0.4_fixes
[remote "github"]
	url = [email-masked]:graemeg/fpGUI.git
	fetch = +refs/heads/*:refs/remotes/github/*
----8<-------------8<-------------8<-------------8<-------------8<----

Regards,
  - Graeme -

-- 
fpGUI Toolkit - a cross-platform GUI toolkit using Free Pascal
http://fpgui.sourceforge.net/